# gp_Vec.lxx File Reference

`#include <gp.hxx>`
`#include <gp_Dir.hxx>`
`#include <gp_Pnt.hxx>`
`#include <gp_Trsf.hxx>`
`#include <gp_VectorWithNullMagnitude.hxx>`
`#include <Standard_ConstructionError.hxx>`

## Functions

gp_Vec | operator * (const Standard_Real Scalar, const gp_Vec &V)

## Function Documentation

gp_Vec operator * | ( | const Standard_Real | Scalar,
|  | const gp_Vec & | V
| ) | `[inline]`